### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Mexico Class Reference
Calendars

Mexican calendars More...

`#include <ql/time/calendars/mexico.hpp>`

Inheritance diagram for Mexico:
[legend]

List of all members.

## Public Types

enum | Market { BMV }

## Public Member Functions

| Mexico (Market m=BMV)

## Detailed Description

Mexican calendars

Holidays for the Mexican stock exchange (data from <http://www.bmv.com.mx/>):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Constitution Day, February 5th
- Birthday of Benito Juarez, March 21st
- Holy Thursday
- Good Friday
- Labour Day, May 1st
- National Day, September 16th
- Our Lady of Guadalupe, December 12th
- Christmas, December 25th

## Member Enumeration Documentation

enum Market

Enumerator:

  BMV | Mexican stock exchange.